6.0.0-git
2021-01-18

[#11297] Fatal authentication error not catched
Summary Fatal authentication error not catched
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org, slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2012-07-20 (3104 days ago)
Due
Updated 2012-10-16 (3016 days ago)
Assigned 2012-09-10 (3052 days ago)
Resolved 2012-10-16 (3016 days ago)
Milestone 6
Patch No

History
2012-10-16 17:56:42 Michael Slusarz Comment #17 Reply to this comment
It's the latter. It might be improvable by letting the user know 
more specifically that it's the IMAP server we're waiting for. But 
if what you describe is the desired behavior (and it makes sense 
indeed), I think this ticket can be closed.
I'd be amenable to thoughts on how to change the notification message. 
  But this is the expected behavior (the list of Exception codes that 
will cause an authentication failure can be found in 
IMP_Imap_Exception#authException(), FWIW).
2012-10-16 10:45:25 Jan Schneider Comment #16
State ⇒ Resolved
Reply to this comment

[Show Quoted Text - 10 lines]
It's the latter. It might be improvable by letting the user know more 
specifically that it's the IMAP server we're waiting for. But if what 
you describe is the desired behavior (and it makes sense indeed), I 
think this ticket can be closed.
2012-10-15 20:42:47 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (develop):

commit fee90723e5b2ce33f1a847e2342345e655ea3b32
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Fri Oct 5 18:25:26 2012 -0600

     Bug #11297: Ignore IMAP issues when doing the newmail check

  .../Handler/Decorator/NewmailNotify.php            |   23 
+++++++++++++-------
  1 files changed, 15 insertions(+), 8 deletions(-)

http://git.horde.org/horde-git/-/commit/fee90723e5b2ce33f1a847e2342345e655ea3b32
2012-10-06 20:54:07 Michael Slusarz Comment #14 Reply to this comment
I would like to know *why* the authentication is failing (you already
logged into IMP, right?), but this should fix the authentication
exception.
*Why* doesn't matter, I enforced this by shutting down the IMAP 
server. The point is that we need to gracefully handle if something 
happens on the server side.
My mistake.  I was worried that the issue was something like the 
cached IMAP session object becoming invalid.  I wasn't aware that this 
issue was caused by known downtime in the IMAP server.
Regular pages continue to work fine now even if IMAP authentication 
in IMP fails. But inside IMP, this is still not correctly handled. 
AJAX requests get an empty response, i.e. the user is not logged out 
of IMP.
Is authentication actually failing on the IMAP server?  Or is the IMAP 
server not reachable on the network?  The latter will NOT cause a 
logout (since it is not an authentication error - once authenticated, 
it is assumed the user remains authenticated until the server 
explicitly indicates authentication is wrong).
2012-10-06 09:29:39 Jan Schneider Comment #13 Reply to this comment
I would like to know *why* the authentication is failing (you 
already logged into IMP, right?), but this should fix the 
authentication exception.
*Why* doesn't matter, I enforced this by shutting down the IMAP 
server. The point is that we need to gracefully handle if something 
happens on the server side.

Regular pages continue to work fine now even if IMAP authentication in 
IMP fails. But inside IMP, this is still not correctly handled. AJAX 
requests get an empty response, i.e. the user is not logged out of IMP.
2012-10-06 00:44:10 Michael Slusarz Comment #12 Reply to this comment
I would like to know *why* the authentication is failing (you already 
logged into IMP, right?), but this should fix the authentication 
exception.
2012-10-06 00:42:34 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit fee90723e5b2ce33f1a847e2342345e655ea3b32
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Fri Oct 5 18:25:26 2012 -0600

     Bug #11297: Ignore IMAP issues when doing the newmail check

  .../Handler/Decorator/NewmailNotify.php            |   23 
+++++++++++++-------
  1 files changed, 15 insertions(+), 8 deletions(-)

http://git.horde.org/horde-git/-/commit/fee90723e5b2ce33f1a847e2342345e655ea3b32
2012-10-05 11:09:47 Jan Schneider Comment #10 Reply to this comment
This happens again.

Noticed when trying to access some admin page when I'm still
authenticated at Horde as an admin, but the imap authentication fails.
What is the error message/backtrace?
Message is the same, this is the backtrace:

  1. require() /home/jan/horde-develop/horde/admin/locks.php:58
  2. Horde_Notification_Handler->notify() 
/home/jan/horde-develop/horde/templates/admin/menu.inc:22
  3. IMP_Notification_Handler_Decorator_NewmailNotify->notify() 
/home/jan/horde-develop/framework/Notification/lib/Horde/Notification/Handler.php:317
  4. IMP_Imap->statusMultiple() 
/home/jan/horde-develop/imp/lib/Notification/Handler/Decorator/NewmailNotify.php:55
  5. IMP_Imap->__call() 
/home/jan/horde-develop/imp/lib/Notification/Handler/Decorator/NewmailNotify.php:55
  6. IMP_Imap_Exception->authException() 
/home/jan/horde-develop/imp/lib/Imap.php:382
  7. require() /home/jan/horde-develop/horde/admin/locks.php:58
  8. Horde_Notification_Handler->notify() 
/home/jan/horde-develop/horde/templates/admin/menu.inc:22
  9. IMP_Notification_Handler_Decorator_NewmailNotify->notify() 
/home/jan/horde-develop/framework/Notification/lib/Horde/Notification/Handler.php:317
10. IMP_Imap->statusMultiple() 
/home/jan/horde-develop/imp/lib/Notification/Handler/Decorator/NewmailNotify.php:55
11. IMP_Imap->__call() 
/home/jan/horde-develop/imp/lib/Notification/Handler/Decorator/NewmailNotify.php:55
12. require() /home/jan/horde-develop/horde/admin/locks.php:58
13. Horde_Notification_Handler->notify() 
/home/jan/horde-develop/horde/templates/admin/menu.inc:22
14. IMP_Notification_Handler_Decorator_NewmailNotify->notify() 
/home/jan/horde-develop/framework/Notification/lib/Horde/Notification/Handler.php:317
15. IMP_Imap->statusMultiple() 
/home/jan/horde-develop/imp/lib/Notification/Handler/Decorator/NewmailNotify.php:55
16. IMP_Imap->__call() 
/home/jan/horde-develop/imp/lib/Notification/Handler/Decorator/NewmailNotify.php:55
17. call_user_func_array() /home/jan/horde-develop/imp/lib/Imap.php:377
18. Horde_Imap_Client_Base->statusMultiple()
19. Horde_Imap_Client_Base->login() 
/home/jan/horde-develop/framework/Imap_Client/lib/Horde/Imap/Client/Base.php:1638
20. Horde_Imap_Client_Socket->_login() 
/home/jan/horde-develop/framework/Imap_Client/lib/Horde/Imap/Client/Base.php:751
2012-10-02 00:32:45 Michael Slusarz Comment #9
Assigned to Jan Schneider
Milestone ⇒ 6
Reply to this comment
Ping?
2012-09-10 14:31:36 Michael Slusarz Comment #8
State ⇒ Feedback
Reply to this comment
This happens again.

Noticed when trying to access some admin page when I'm still 
authenticated at Horde as an admin, but the imap authentication fails.
What is the error message/backtrace?
2012-09-04 15:56:02 Jan Schneider Comment #7
State ⇒ Assigned
Reply to this comment
This happens again.

Noticed when trying to access some admin page when I'm still 
authenticated at Horde as an admin, but the imap authentication fails.
2012-08-29 12:45:11 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 96fd1c55dc90178e28a0438de5a02935b33f9894
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 25 06:06:32 2012 -0600

     [mms] Better handling of backend authentication errors when 
returning AJAX data (Bug #11297).

  horde/docs/CHANGES      |    2 ++
  horde/package.xml       |    4 ++--
  horde/services/ajax.php |   24 +++++++++++++++---------
  3 files changed, 19 insertions(+), 11 deletions(-)

http://git.horde.org/horde-git/-/commit/96fd1c55dc90178e28a0438de5a02935b33f9894
2012-08-29 12:45:06 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 74aca6034de39ed08821a74adc7fac6de9094bea
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 25 06:06:08 2012 -0600

     [mms] Add a no authentication AJAX handler (Bug #11297).

  framework/Core/js/hordecore.js                     |    1 +
  .../Horde/Core/Ajax/Response/HordeCore/NoAuth.php  |   62 
++++++++++++++++++++
  framework/Core/package.xml                         |    2 +
  3 files changed, 65 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/74aca6034de39ed08821a74adc7fac6de9094bea
2012-07-25 12:14:37 Michael Slusarz Comment #4
State ⇒ Resolved
Reply to this comment
This should fix things.  Reopen ticket if the problem reoccurs.
2012-07-25 12:07:10 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit 96fd1c55dc90178e28a0438de5a02935b33f9894
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 25 06:06:32 2012 -0600

     [mms] Better handling of backend authentication errors when 
returning AJAX data (Bug #11297).

  horde/docs/CHANGES      |    2 ++
  horde/package.xml       |    4 ++--
  horde/services/ajax.php |   24 +++++++++++++++---------
  3 files changed, 19 insertions(+), 11 deletions(-)

http://git.horde.org/horde-git/-/commit/96fd1c55dc90178e28a0438de5a02935b33f9894
2012-07-25 12:07:04 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit 74aca6034de39ed08821a74adc7fac6de9094bea
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 25 06:06:08 2012 -0600

     [mms] Add a no authentication AJAX handler (Bug #11297).

  framework/Core/js/hordecore.js                     |    1 +
  .../Horde/Core/Ajax/Response/HordeCore/NoAuth.php  |   62 
++++++++++++++++++++
  framework/Core/package.xml                         |    2 +
  3 files changed, 65 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/74aca6034de39ed08821a74adc7fac6de9094bea
2012-07-20 10:43:44 Jan Schneider New Attachment: bug11297.log Download
 
2012-07-20 10:43:02 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Fatal authentication error not catched
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
Sometimes, I get a fatal authentication exception "No supported IMAP 
authentication method could be found". I am not sure why this happens, 
probably something going icky on the IMAP server.
That's not the point though, the problem is, that this error is not 
correctly catched, i.e. the user is not re-authenticated or thrown 
back to the login screen.

Saved Queries